### Function

# ECal ComponentAlarms new

since: 3.34

#### Declaration [src]

    ECalComponentAlarms*
    e_cal_component_alarms_new (
      _ECalComponent* comp
    )

#### Description [src]

Creates a new `ECalComponentAlarms` structure, associated with `comp`. Free the alarms with e_cal_component_alarms_free(), when no longer needed.

The `comp` can be `NULL` since 3.48, in which case the respective instances hold the component they belong to.

Available since: 3.34

#### Parameters

`comp`

  Type: `ECalComponent`

  The actual alarm component, as `ECalComponent`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `ECalComponentAlarms`

A newly allocated `ECalComponentAlarms`.

The caller of the function takes ownership of the data, and is responsible for freeing it.